<?php

namespace Daniv04\HaciendaPackage\Providers\Contracts;


interface ProviderInterface
{
    public function sendDocument(array $payload, string $consecutiveNumber): array;

    public function getDocumentStatus(string $key): array;

    public function getName(): string;
}